Page MenuHomePhabricator

Make the HHVM BetaFeature up to snuff (BetaFeature-wise)
Closed, ResolvedPublic

Description

Sorry Jared :(


Version: master
Severity: normal

Details

Reference
bz71048

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:56 AM
bzimport set Reference to bz71048.
greg created this task.Sep 19 2014, 6:03 PM

Updated test string…

"This experiment improve browsing and editing speed and performance. As more users enable the experiment the system will actually improve over time."

Created attachment 16520
beta features image

Attached:

(In reply to Jared Zimmerman (WMF) from comment #1)

Updated test string…
"This experiment improve browsing and editing speed and performance. As more
users enable the experiment the system will actually improve over time."

That wording really isn't consistent with what is already on [[Special:BetaFeatures]] (there isn't much consistency to begin with but lets not make it less consistent?).

Also, it's misleading since more people enabling HHVM isn't going to magically start a snowball effect that makes the site faster...

What's wrong with the current wording?

Too technical, too many acronyms, its not in the voice and tone that we should be writing in. Someone should not have to understand what any of those concepts are to want to enable the beta feature, and it may actually cause a lower uptake of users.

My understanding of talking to Ori about HHVM is that as more pages were accessed by users via HHVM is that subsequent access to those pages would be sped up. Is that not the case?

(In reply to Jared Zimmerman (WMF) from comment #4)

My understanding of talking to Ori about HHVM is that as more pages were
accessed by users via HHVM is that subsequent access to those pages would be
sped up. Is that not the case?

Ori may want to comment, but I don't think it's on a page-specific basis. There's a couple things:

  • Bug reports are essential (this is the main reason it's a beta feature, I believe) to minimize problems with a wider rollout. This could be expressed as "user feedback".
  • The Wikipedia article says, "HHVM has the ability to use live type information to produce more efficient native code" which I think may mean that code paths get re-compiled to native code when frequent executions reveal the most common data types.

Also, we could avoid acronyms by expanding it. It stands for "HipHop Virtual Machine", which is a pretty cool name even if you don't know what it does.

I talked to Ori friday, he's fine with the proposed text. We also need to convert the talk page to a flow enabled one. Ori will work with the Flow team on this.

Danny/S we need to Flow enable https://www.mediawiki.org/wiki/Talk:HHVM/About can you please work with Ori if you have any questions or clarifications.

greg added a comment.Sep 22 2014, 5:47 PM

To be explicit on the changes needed:

  1. James(?): Description update
  2. James(?): Add image
  3. S: Flow-ify the talk page: https://www.mediawiki.org/wiki/Talk:HHVM/About

gerritadmin wrote:

Change 162002 had a related patch set uploaded by Jforrester:
Enable Flow on [[mw:Talk:HHVM/About]]

https://gerrit.wikimedia.org/r/162002

gerritadmin wrote:

Change 162008 had a related patch set uploaded by Jforrester:
HHVM BetaFeature: Add screenshot; improve text

https://gerrit.wikimedia.org/r/162008

See https://gerrit.wikimedia.org/r/#/c/162008/2/i18n/en.json for an attempt to do a description (and title) that makes more sense, and is inline with our standards for copy in BetaFeatures' descriptions. Thoughts?

gerritadmin wrote:

Change 162002 merged by jenkins-bot:
Enable Flow on [[mw:Talk:HHVM/About]]

https://gerrit.wikimedia.org/r/162002

gerritadmin wrote:

Change 162008 merged by jenkins-bot:
HHVM BetaFeature: Add screenshot; improve text

https://gerrit.wikimedia.org/r/162008

gerritadmin wrote:

Change 163104 had a related patch set uploaded by Ori.livneh:
HHVM BetaFeature: Add screenshot; improve text

https://gerrit.wikimedia.org/r/163104

gerritadmin wrote:

Change 163105 had a related patch set uploaded by Ori.livneh:
HHVM BetaFeature: Add screenshot; improve text

https://gerrit.wikimedia.org/r/163105

gerritadmin wrote:

Change 163104 merged by jenkins-bot:
HHVM BetaFeature: Add screenshot; improve text

https://gerrit.wikimedia.org/r/163104

gerritadmin wrote:

Change 163105 merged by jenkins-bot:
HHVM BetaFeature: Add screenshot; improve text

https://gerrit.wikimedia.org/r/163105

ori added a comment.Sep 26 2014, 7:08 AM

Done! Thanks very much for this, James and Jared.